<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.Open Method (String, String, DatabaseConfig)
Database Class See Also Send Feedback

Instantiate a new Database object and open the database represented by Filename and DatabaseName. The file specified by Filename must exist.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.35.0

# Syntax

C#

    public static Database Open(
    	string Filename,
    	string DatabaseName,
    	DatabaseConfig cfg
    )

Visual Basic (Declaration)

    Public Shared Function Open ( _
    	Filename As String, _
    	DatabaseName As String, _
    	cfg As DatabaseConfig _
    ) As Database

Visual C++

    public:
    static Database^ Open(
    	String^ Filename,
    	String^ DatabaseName,
    	DatabaseConfig^ cfg
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file that will be used to back the database. In-memory databases never intended to be preserved on disk may be created by setting this parameter to null.

DatabaseName
  Type: System..::.String
  This parameter allows applications to have multiple databases in a single file. Although no DatabaseName needs to be specified, an error occurs if you attempt to open a second database in a file that was not initially created using a database name.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  The database's configuration

#### Return Value

A new, open database object

# Remarks

If Filename is null and DatabaseName is non-null, the database can be opened by other threads of control and will be replicated to client sites in any replication group.

If AutoCommit is set, the operation will be implicitly transaction protected. Transactionally protected operations on a database object requires the object itself be transactionally protected during its open.

# See Also

Database Class
Open Overload
BerkeleyDB Namespace